Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Interface IItemList

All Known Subinterfaces:
  IAddressEntryList, IAppointmentList, IContactList, IMailMessageList, ITaskList

public interface IItemList

Represents a paginated slice of items from the backend store. This list is obtained by calling `IContainer.getItems(QueryProfile, int, int)` or `IContainer.getItems(IProgress, boolean, QueryProfile, int, int)`.

Method Summary
`int` | `getItemCount()` Returns the count of items in this list
`IItem[]` | `getItems()` Get the items that are on this page.
`int` | `getItemStartIndex()` Gets the zero based start index of the items in the list as offset from the total number of items in the list.
`int` | `getPage()` Gets the page number for this list of items.
`int` | `getPageCount()` Gets the total count of pages.
`int` | `getTotalItemCount()` Gets the total number of items available.
`boolean` | `isFirstPage()` Gets if this item list is the first page.
`boolean` | `isLastPage()` Gets if this item list is the last page.

Method Detail

### isFirstPage

    public boolean isFirstPage()

  Gets if this item list is the first page.
  Returns:
    `true` if this item list contains items on the first page

### isLastPage

    public boolean isLastPage()

  Gets if this item list is the last page.
  Returns:
    `true` if this item list contains items on the last page

### getTotalItemCount

    public int getTotalItemCount()

  Gets the total number of items available.
  Returns:
    the total number of items available in the container where the call was made to obtain this item list

### getItemCount

    public int getItemCount()

  Returns the count of items in this list
  Returns:
    the number of items in the item list

### getPageCount

    public int getPageCount()

  Gets the total count of pages.
  Returns:
    the total number of pages available in the container where the call was made to obtain this item list

### getItems

    public IItem[] getItems()

  Get the items that are on this page.
  Returns:
    the item array (not `null`)

### getPage

    public int getPage()

  Gets the page number for this list of items.
  Returns:
    the page number of the items in the list

### getItemStartIndex

    public int getItemStartIndex()

  Gets the zero based start index of the items in the list as offset from the total number of items in the list.
  Returns:
    the start index

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.